View Issue Details

IDProjectCategoryView StatusLast Update
0006048GNUnetpostgres librarypublic2020-07-09 09:17
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionGit master 
Target Version0.13.0Fixed in Version0.13.0 
Summary0006048: be smarter about versioning
DescriptionWe should probably inspect the _v table(s) to see which DB revisions were already applied and not fork/exec psql for those.

The respective logic should then be integrated at least with namestore.
TagsNo tags attached.

Activities

Christian Grothoff

2020-02-09 23:46

manager   ~0015326

Checking the _v table before forking psql has been implemented.
Adding versioning support to namestore and other postgres plugins remains to be done.

Christian Grothoff

2020-02-13 20:08

manager   ~0015352

It's implemented now.

schanzen

2020-07-09 09:17

manager   ~0016436

0.13.0 released

Issue History

Date Modified Username Field Change
2020-01-17 12:07 Christian Grothoff New Issue
2020-01-17 12:07 Christian Grothoff Status new => assigned
2020-01-17 12:07 Christian Grothoff Assigned To => Christian Grothoff
2020-01-17 12:27 Christian Grothoff Description Updated
2020-02-09 23:46 Christian Grothoff Note Added: 0015326
2020-02-13 20:08 Christian Grothoff Note Added: 0015352
2020-02-13 20:09 Christian Grothoff Status assigned => resolved
2020-02-13 20:09 Christian Grothoff Resolution open => fixed
2020-02-13 20:09 Christian Grothoff Fixed in Version => 0.12.3
2020-02-13 20:09 Christian Grothoff Fixed in Version 0.12.3 => 0.12.2
2020-02-13 20:09 Christian Grothoff Target Version 0.13.0 => 0.12.2
2020-04-23 10:46 schanzen Fixed in Version 0.12.2 => 0.13.0
2020-04-23 10:47 schanzen Target Version 0.12.2 => 0.13.0
2020-06-01 00:52 Adminknox Issue cloned: 0006355
2020-07-09 09:17 schanzen Note Added: 0016436
2020-07-09 09:17 schanzen Status resolved => closed